-- phpMyAdmin SQL Dump
-- version 4.6.6deb4
-- https://www.phpmyadmin.net/
--
-- Client :  localhost:3306
-- Généré le :  Dim 08 Septembre 2019 à 19:00
-- Version du serveur :  10.3.15-MariaDB-1
-- Version de PHP :  7.3.4-2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+02:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT = @@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS = @@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION = @@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `tfjm`
--
CREATE DATABASE IF NOT EXISTS `plateforme` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `plateforme`;

-- --------------------------------------------------------

--
-- Structure de la table `documents`
--

CREATE TABLE IF NOT EXISTS `documents`
(
    `file_id`     varchar(64) NOT NULL,
    `user`        int(11)     NOT NULL,
    `team`        int(11)     NOT NULL,
    `tournament`  int(11)     NOT NULL,
    `type`        varchar(64) NOT NULL,
    `uploaded_at` datetime    NOT NULL DEFAULT current_timestamp(),
    PRIMARY KEY (`file_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

-- --------------------------------------------------------

--
-- Structure de la table `organizers`
--

CREATE TABLE IF NOT EXISTS `organizers`
(
    `id`         int(11) NOT NULL AUTO_INCREMENT,
    `organizer`  int(11) NOT NULL,
    `tournament` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

-- --------------------------------------------------------

--
-- Structure de la table `solutions`
--

CREATE TABLE IF NOT EXISTS `solutions`
(
    `file_id`     varchar(64) NOT NULL,
    `team`        int(11)     NOT NULL,
    `tournament`  int(11)     NOT NULL,
    `problem`     int(11)     NOT NULL,
    `uploaded_at` datetime    NOT NULL DEFAULT current_timestamp(),
    PRIMARY KEY (`file_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

-- --------------------------------------------------------

--
-- Structure de la table `syntheses`
--

CREATE TABLE IF NOT EXISTS `syntheses`
(
    `file_id`     varchar(64) NOT NULL,
    `team`        int(11)     NOT NULL,
    `tournament`  int(11)     NOT NULL,
    `dest`        varchar(64) NOT NULL,
    `uploaded_at` datetime    NOT NULL DEFAULT current_timestamp(),
    PRIMARY KEY (`file_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

-- --------------------------------------------------------

--
-- Structure de la table `teams`
--

CREATE TABLE IF NOT EXISTS `teams`
(
    `id`                int(11)     NOT NULL AUTO_INCREMENT,
    `name`              varchar(64) NOT NULL,
    `trigram`           varchar(3)  NOT NULL,
    `tournament`        int(8)      NOT NULL,
    `encadrant_1`       int(8)               DEFAULT NULL,
    `encadrant_2`       int(8)               DEFAULT NULL,
    `participant_1`     int(8)               DEFAULT NULL,
    `participant_2`     int(8)               DEFAULT NULL,
    `participant_3`     int(8)               DEFAULT NULL,
    `participant_4`     int(8)               DEFAULT NULL,
    `participant_5`     int(8)               DEFAULT NULL,
    `participant_6`     int(8)               DEFAULT NULL,
    `inscription_date`  timestamp   NOT NULL DEFAULT current_timestamp(),
    `validation_status` varchar(64) NOT NULL,
    `final_selection`   tinyint(1)  NOT NULL DEFAULT 0,
    `access_code`       varchar(6)  NOT NULL,
    `year`              int(4)      NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

-- --------------------------------------------------------

--
-- Structure de la table `tournaments`
--

CREATE TABLE IF NOT EXISTS `tournaments`
(
    `id`               int(8)       NOT NULL AUTO_INCREMENT,
    `name`             varchar(64)  NOT NULL,
    `size`             int(1)       NOT NULL,
    `place`            varchar(255) NOT NULL,
    `price`            int(4)       NOT NULL,
    `description`      varchar(255) NOT NULL,
    `date_start`       date         NOT NULL,
    `date_end`         date         NOT NULL,
    `date_inscription` datetime     NOT NULL,
    `date_solutions`   datetime     NOT NULL,
    `date_syntheses`   datetime     NOT NULL,
    `final`            tinyint(1)   NOT NULL DEFAULT 0,
    `year`             int(4)       NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

-- --------------------------------------------------------

--
-- Structure de la table `users`
--

CREATE TABLE IF NOT EXISTS `users`
(
    `id`                 int(8)       NOT NULL AUTO_INCREMENT,
    `email`              varchar(255) NOT NULL,
    `pwd_hash`           varchar(64)  NOT NULL,
    `surname`            varchar(255) NOT NULL,
    `first_name`         varchar(255) NOT NULL,
    `birth_date`         date                  DEFAULT NULL,
    `gender`             char(1)               DEFAULT NULL,
    `address`            varchar(255)          DEFAULT NULL,
    `postal_code`        int(5)                DEFAULT NULL,
    `city`               varchar(255)          DEFAULT NULL,
    `country`            varchar(255)          DEFAULT 'France',
    `phone_number`       varchar(20)           DEFAULT NULL,
    `school`             varchar(255)          DEFAULT NULL,
    `class`              varchar(255)          DEFAULT NULL,
    `responsible_name`   varchar(255)          DEFAULT NULL,
    `responsible_phone`  varchar(20)           DEFAULT NULL,
    `responsible_email`  varchar(255)          DEFAULT NULL,
    `description`        varchar(255)          DEFAULT NULL,
    `role`               varchar(64)  NOT NULL,
    `team_id`            int(8)                DEFAULT NULL,
    `year`               int(4)       NOT NULL DEFAULT 2020,
    `confirm_email`      varchar(64)           DEFAULT NULL COMMENT 'Jeton de confirmation d''e-mail',
    `forgotten_password` varchar(64)           DEFAULT NULL COMMENT 'Jeton de récupération de mot de passe',
    `inscription_date`   datetime     NOT NULL DEFAULT current_timestamp(),
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

/*!40101 SET CHARACTER_SET_CLIENT = @OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS = @OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION = @OLD_COLLATION_CONNECTION */;
