<?php require_once "header.php" ?>

<div class="mt-4 mb-4">
    <h2 class="display-3">Liste des tournois</h2>
</div>

<table class="table table-striped table-bordered table-hover">
    <thead>
    <tr>
        <th scope="col">Nom</th>
        <th scope="col">Dates</th>
        <th scope="col">Inscription avant le</th>
        <th scope="col">Date de rendu des solutions</th>
        <th scope="col">Places disponibles</th>
    </tr>
    </thead>
    <tbody>
    <?php
    foreach ($tournaments as $tournament) {
        ?>
        <tr>
            <th scope="row">
                <a href="/tournoi/<?= $tournament->getName() ?>"><?= $tournament->getName() ?></a>
            </th>
            <td>Du <?= formatDate($tournament->getStartDate()) ?> au <?= formatDate($tournament->getEndDate()) ?></td>
            <td><?= formatDate($tournament->getSolutionsDate()) ?></td>
            <td><?= formatDate($tournament->getSynthesesDate()) ?></td>
            <td><?= $tournament->getSize() ?></td>
        </tr>
        <?php
    }
    ?>
    </tbody>
    <tfoot>
    <tr>
        <th>Nom</th>
        <th>Dates</th>
        <th>Inscription avant le</th>
        <th>Date de rendu des solutions</th>
        <th>Places disponibles</th>
    </tr>
    </tfoot>
</table>

<?php require_once "footer.php" ?>
